html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    margin: 0px;
    padding: 0px;
}

table {
    font-size: 0.8rem;
}

th {
    vertical-align: top;
}

:root {
    --sonas-secondary: #37B6FF;
    --sonas-background: #0070C0;
    --sonas-dark: #146494;
    --bs-modal-wide-width: 1040px;
    --bs-pagination-active-bg: rgb(3, 28, 27);
    --bs-pagination-active-color: rgb(3, 28, 27);
    --sonas-default-button: #A5A6A5;
    --sonas-default-highlight: #37B6FF;
}

a, .btn-link {
    color: #006bb7;
}

.calendarDayDisplay{
    font-size: 1rem;
    font-weight: bold;
    color: var(--sonas-secondary);
}

.calendarWrapButton{
    cursor: pointer;
}

.calendarRow{
    height: 8rem;
    font-size: 0.8rem;
    
    & > td{
        border-radius: 0 0 10% 0!important;
        border: thin solid !important;
    }
}


.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {   
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

.hx-sidebar-header {
    min-height: 3.5rem;
    background-color: rgba(255,255,255,0.9);
}

.hx-sidebar {
    background-color: rgba(0,0,0,0) !important;
    --hx-sidebar-item-active-color: var(--sonas-secondary);
    --hx-sidebar-item-active-icon-color: var(--sonas-secondary);
    --hx-sidebar-item-icon-color: var(--sonas-secondary);
}

.hx-sidebar-navbar-toggler {
    color: var(--sonas-secondary)!important;
}

.framenavbar {
    background-color: var(--sonas-background);   
}

.nav-item {
    cursor: pointer;
}

.nav-link {
    color: var(--sonas-secondary) !important;
}

.summaryblock {
    font-size: 1rem;
    background-color: rgb(245,245,245);
    padding: 1rem 2rem 0.5rem;
}

.seperator {
    display: flex;
    flex-wrap: inherit;        
    justify-content: space-between;
    background-color: rgb(230,230,230);
    height: 2.5rem;
    padding-top: 0.4rem;
    padding-left: 1rem;
}

#PToverlay {
    pointer-events: none;
    position: fixed; /* Sit on top of the page content */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.04); /* Black background with opacity */
    z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
}

#LoadingOverlay {
    pointer-events: none;
    position: absolute;
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.04); /* Black background with opacity */
    z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
    backdrop-filter: blur(4px);
}

#LoadingSpinner {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 10rem;
    height: 10rem;
}

#PTtext {
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 50px;
    color: white;
    transform: translate(-50%,-50%) rotate(-45deg);    
    -ms-transform: translate(-50%,-50%);
    
}

.bg-sonas-dark {
    background-color: var(--sonas-background);
}

.bg-sonas-light {
    background-color: #EEEEEE;
}

.text-sonas-highlight {
    color: var(--sonas-default-highlight);
}

.modal-wide {
    max-width: var(--bs-modal-wide-width);
}

.btn-primary {
    background-color: var(--sonas-default-button);
    border-color: #DDDDDD;
}

.fn-tiny{    
    font-size: 0.6rem!important;
}

.nav-pills {
    --bs-nav-pills-border-radius: var(--bs-border-radius);
    --bs-nav-pills-link-active-color: #fff;
    --bs-nav-pills-link-active-bg: var(--sonas-default-button);
}

.nav-link {
    color: var(--sonas-default-button);
}

    .nav-link:hover {
        color: var(--sonas-default-highlight);
    }

.form-control{
    margin-bottom: 0.4rem;
}

.form-label{
    margin-bottom: 0rem;
}

.workorderEntry {
    background-color: #ffe69c;
}

.siteVisitEntry{
    background-color: #b6d4fe;
}

.unplannedEntry{
    background-color: #ea868f;
}

.unplannedWorkOrder{
    background-color: #ca462f;
}

.pageHeaderIcon{
    background-color: white;
    padding: 0.2rem;
    border-radius: 0.5rem;
    color: var(--sonas-secondary);
 }

.card-title{
    font-weight: bolder;
    color: var(--sonas-dark);
}

.dragging {
    opacity: 0.5;
    cursor: grabbing;
    background: #e0e0e0;
}  

.calendarEntry{
    padding:0.1rem;
}

.modalicon{
    background-color: white;
    padding: 0.2rem;
    border-radius: 0.4rem;
    color: var(--sonas-secondary);
    margin-right: 1rem;
}

.toggleCheck{
    width: auto;
    display: inline-block;
}

.iconCol{
    width: 30px;
    text-align: center;
}

.dayOfWeekBlock{
    width: 8em;
    display: inline-block;
    text-align: center;
}

.squareified {
    aspect-ratio: 1/1;
    padding: 3px;
    font-size: 7vw;
    display: block !important;
}

.flyoutButton{
    position: absolute;
    top: 50%;
    right: 0;
    background-color: #aaaaaa;
    color: #fff;
    z-index:4000;
}

.collapsableTableRow > td {
    padding-left: 1.2rem;
}

.colour-chip {
    position: absolute;
    right: 0;
    width: 10px;
    height: 100%;
} 

.chip-engineer{
    background-color: #0070C0;
}

.chip-client {
    background-color: #ffcd39;
}

.pre-wrap {
    white-space: pre-wrap;
}

.card-title{
    margin-bottom: 0;
}

.calendar_complete_background {
background-image:repeating-linear-gradient(
45deg,
transparent,
transparent 10px,
#ddd 10px,
#ddd 20px)
}

.calendarBlockFooter{
}

.engineerChip{
    width:10px;
    height: 10px;
    background-color: #ea868f;
    margin: 2px;
    display: inline-block;
}

.action_column{
    width: 80px;
}

.navbar-toggler-icon {
    width: 1.2em;
    height: 1.2em;
}

.navbar-nav {
    align-items: end;
}

.table{
    white-space: nowrap !important;
}

.framenavbar .btn-group {
    display: block;
}

.calendarTable{
    text-wrap: wrap!important;
}

.calendarBlockFooter{
    margin-top: auto;
}

.fitContent{
    height: fit-content;
}

@media (min-width: 576px) {
    .calendarTable > thead > tr > th {
        width: calc(100% / 7);
    }
    

}

@media (max-width: 576px) {
    .collapse-sm {
        width: 100% !important;
        text-align: end;
    }

    .navbar-brand{
        text-wrap: wrap!important;
    }
    
    .calendarRow {
        height: 0;
    }
    
    .calendarTable td{
        display: table-row;
        width: 100%;
    }

    .calendarTable th{
        display: none;
    }
}